Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::BlendSpriteState Class Reference

ブレンドスプライトステート More...

`#include <BlendSpriteState.h>`

Inheritance diagram for Lamp::BlendSpriteState:

List of all members.

## Public Types
enum | BlendMode { blendModeDisable = 0, blendModeAdd, blendModeSubtract, blendModeInverseSubtract, blendModeMinimum, blendModeMaximum, blendModeMax }
| ブレンドモード
enum | BlendState { blendStateZero = 0, blendStateOne, blendStateSourceColor, blendStateInverseSourceColor, blendStateSourceAlpha, blendStateInverseSourceAlpha, blendStateSourceAlphaSaturate, blendStateDestinationColor, blendStateInverseDestinationColor, blendStateDestinationAlpha, blendStateInverseDestinationAlpha, blendStateMax }
| ブレンドステート
## Public Member Functions
| BlendSpriteState ()
| コンストラクタ
| BlendSpriteState (BlendMode blendMode, BlendState blendSource, BlendState blendDestination)
| コンストラクタ
virtual | ~BlendSpriteState ()
| デストラクタ
virtual const SpriteRequest * | getDefaultState () const
| デフォルトステートの取得
virtual void | apply (SpriteRenderState *renderState)
| 適用
virtual void | setBlendMode (BlendMode blendMode)
| ブレンドモードの設定
virtual BlendMode | getBlendMode () const
| ブレンドモードの取得
virtual bool | isBlendEnabled () const
| ブレンドが有効か
virtual void | setBlendSource (BlendState blendSource)
| ブレンドソースの設定
virtual BlendState | getBlendSource () const
| ブレンドソースの取得
virtual void | setBlendDestination (BlendState blendDestination)
| ブレンドデスティネーションの設定
virtual BlendState | getBlendDestination () const
| ブレンドデスティネーションの取得
## Static Public Member Functions
const String & | blendModeToString (BlendMode blendMode)
| ブレンドモードから文字列への変換
BlendMode | blendModeFromString (const String &blendModeString)
| 文字列からブレンドモードへの変換
const String & | blendStateToString (BlendState blendState)
| ブレンドステートから文字列への変換
BlendState | blendStateFromString (const String &blendStateString)
| 文字列からブレンドステートへの変換
## Static Public Attributes
const BlendSpriteState | translucent
| 半透明
const BlendSpriteState | addState
| 加算
const BlendSpriteState | defaultState
| デフォルト

## Detailed Description

ブレンドスプライトステート

Definition at line 36 of file BlendSpriteState.h.

## Constructor & Destructor Documentation

Lamp::BlendSpriteState::BlendSpriteState | ( | BlendMode | blendMode,
|  | BlendState | blendSource,
|  | BlendState | blendDestination
| ) |

  | コンストラクタ Parameters:
  blendMode | ブレンドモード
  blendSource | ブレンドソース
  blendDestination | ブレンドデスティネーション
Definition at line 75 of file BlendSpriteState.cpp. References Assert.

## Member Function Documentation

void Lamp::BlendSpriteState::apply | ( | SpriteRenderState * | renderState | ) | `[virtual]`

  | 適用 Parameters:
  renderState | レンダーステート
Implements Lamp::SpriteState. Definition at line 91 of file BlendSpriteState.cpp. References Lamp::RenderingDevice::setBlending(), and Lamp::RenderingDevice::setBlendMode().

BlendSpriteState::BlendMode Lamp::BlendSpriteState::blendModeFromString | ( | const String & | blendModeString | ) | `[static]`

  | 文字列からブレンドモードへの変換 Parameters:
  blendModeString | ブレンドモード文字列
Returns: ブレンドモード Definition at line 111 of file BlendSpriteState.cpp. References BlendMode, Lamp::String::equals(), and ErrorOut.

const String & Lamp::BlendSpriteState::blendModeToString | ( | BlendMode | blendMode | ) | `[static]`

  | ブレンドモードから文字列への変換 Parameters:
  blendMode | ブレンドモード
Returns: ブレンドモード文字列 Definition at line 104 of file BlendSpriteState.cpp. References Assert.

BlendSpriteState::BlendState Lamp::BlendSpriteState::blendStateFromString | ( | const String & | blendStateString | ) | `[static]`

  | 文字列からブレンドステートへの変換 Parameters:
  blendStateString | ブレンドステート文字列
Returns: ブレンドステート Definition at line 132 of file BlendSpriteState.cpp. References BlendState, Lamp::String::equals(), and ErrorOut.

const String & Lamp::BlendSpriteState::blendStateToString | ( | BlendState | blendState | ) | `[static]`

  | ブレンドステートから文字列への変換 Parameters:
  blendState | ブレンドステート
Returns: ブレンドステート文字列 Definition at line 125 of file BlendSpriteState.cpp. References Assert.

virtual BlendState Lamp::BlendSpriteState::getBlendDestination | ( |  | ) | const`[inline, virtual]`

| ブレンドデスティネーションの取得 Returns: ブレンドデスティネーション Definition at line 209 of file BlendSpriteState.h. References BlendState.

virtual BlendMode Lamp::BlendSpriteState::getBlendMode | ( |  | ) | const`[inline, virtual]`

| ブレンドモードの取得 Returns: ブレンドモード Definition at line 169 of file BlendSpriteState.h. References BlendMode.

virtual BlendState Lamp::BlendSpriteState::getBlendSource | ( |  | ) | const`[inline, virtual]`

| ブレンドソースの取得 Returns: ブレンドソース Definition at line 193 of file BlendSpriteState.h. References BlendState.

virtual const SpriteRequest* Lamp::BlendSpriteState::getDefaultState | ( |  | ) | const`[inline, virtual]`

| デフォルトステートの取得 Returns: デフォルトステート Implements Lamp::SpriteState. Definition at line 140 of file BlendSpriteState.h. References defaultState.

virtual bool Lamp::BlendSpriteState::isBlendEnabled | ( |  | ) | const`[inline, virtual]`

| ブレンドが有効か Returns: ブレンドが有効ならtrue Definition at line 175 of file BlendSpriteState.h.

virtual void Lamp::BlendSpriteState::setBlendDestination | ( | BlendState | blendDestination | ) | `[inline, virtual]`

  | ブレンドデスティネーションの設定 Parameters:
  blendDestination | ブレンドデスティネーション
Definition at line 200 of file BlendSpriteState.h. References Assert.

virtual void Lamp::BlendSpriteState::setBlendMode | ( | BlendMode | blendMode | ) | `[inline, virtual]`

  | ブレンドモードの設定 Parameters:
  blendMode | ブレンドモード
Definition at line 160 of file BlendSpriteState.h. References Assert.

virtual void Lamp::BlendSpriteState::setBlendSource | ( | BlendState | blendSource | ) | `[inline, virtual]`

  | ブレンドソースの設定 Parameters:
  blendSource | ブレンドソース
Definition at line 184 of file BlendSpriteState.h. References Assert.

The documentation for this class was generated from the following files:

- BlendSpriteState.h
- BlendSpriteState.cpp